
Redmine - Feature #1445

add new permission 'edit issue planning'

2008-06-13 23:07 - Peter Van den Bosch

Status: Closed Start date: 2008-06-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

A permission 'edit issue planning' can be added which allows or disallows the possibility to edit following fields:

Priority

Target version

Start and due date

Estimated time

% Done

These fields are currently frequently abused by reporters and should only be filled in by the developers of a project. Otherwise,

reporters can pollute the issue overviews, like demonstrated by the current redmine roadmap.

Related issues:

Related to Redmine - Feature #3521: Permissions for roles to change fields pe... Closed 2009-06-22

History

#1 - 2011-01-25 19:46 - Brian Lindahl

Created patch issue to follow the progression of my patch to add this feature and other issue edit permission improvements. Please add relation to 

#7444.

#2 - 2020-01-13 05:38 - Go MAEDA

- Related to Feature #3521: Permissions for roles to change fields per tracker/status added

#3 - 2020-01-13 05:42 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

You can set fields to read-only per tracker/status/role in "Fields permission" tab in Workflow page. It is more fine-grained control than adding the

permission you suggested.

The feature became available in Redmine 2.1.0 (#3521).
